## libgc 6.6-2osso2

=== debian/changelog ===
libgc (1:6.6-2osso2) unstable; urgency=low

  * Fixes: NB#77507 - a namespace issue with gcc4

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 04 Sep 2008 12:05:17 +0300

libgc (1:6.6-2osso) unstable; urgency=low

  * checks dropped (scratchbox issue)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 31 Mar 2006 18:00:17 +0300

libgc (1:6.6-2) unstable; urgency=low

  * Apply libgc-6.6-arm-swp-fix.diff to fix arm build (closes: #343612)

 -- Ryan Murray <rmurray@debian.org>  Fri, 16 Dec 2005 10:53:15 -0800

libgc (1:6.6-1) unstable; urgency=low

  * New upstream release (closes: #335816, #342586)
  * Run make check from debian/rules
  * Disable threads for hurd-i386 (closes: #319912)

 -- Ryan Murray <rmurray@debian.org>  Thu, 15 Dec 2005 00:53:36 -0800

libgc (1:6.5-1) unstable; urgency=low

  * New upstream release
  * Rename libgc1 to libgc1c2 for C++ transition.
  * Update libgc-dev description (closes: #264124)
  * Add debian/watch file (currently ignores alpha versions)
  * Remove obsolete Replaces and Conflicts on libgc-dev

 -- Ryan Murray <rmurray@debian.org>  Sun, 10 Jul 2005 10:51:20 -0700

libgc (1:6.4-1) unstable; urgency=low

  * New upstream release (closes: #292708)

 -- Ryan Murray <rmurray@debian.org>  Thu,  3 Feb 2005 00:50:53 -0800

libgc (1:6.3-1) unstable; urgency=low

  * New upstream release (closes: #253171)

 -- Ryan Murray <rmurray@debian.org>  Fri,  9 Jul 2004 08:38:53 -0700

libgc (1:6.2+6.3alpha4-1) unstable; urgency=low

  * New upstream release
  * Apply fix to check stack end for prelinked binaries (closes: #233233)

 -- Ryan Murray <rmurray@debian.org>  Sat, 28 Feb 2004 01:09:04 -0800

libgc (1:6.2+6.3alpha2-1) unstable; urgency=low

  * New upstream release
  * Link libgccpp against libgc (closes: #215966)

 -- Ryan Murray <rmurray@debian.org>  Sat, 18 Oct 2003 03:34:33 -0700

libgc (1:6.2+6.3alpha1-1) unstable; urgency=low

  * New upstream release (closes: #197031)
  * Switch to using upstream's autoconf (and therefore upstream's sonames, so
    rename packages to match the sonames)  (closes: #178869)
  * Relibtoolize.

 -- Ryan Murray <rmurray@debian.org>  Mon, 11 Aug 2003 15:57:57 -0700

libgc (1:6.1-2) unstable; urgency=low

  * Change GLIBC_MINOR check for mips to look for version 2.2 or better.
    glibc has had __libc_stack_end since at least then, and possibly sometime
    in 2.1.x

 -- Ryan Murray <rmurray@debian.org>  Fri, 17 Jan 2003 14:17:22 -0800

libgc (1:6.1-1) unstable; urgency=low

  * New upstream release
  * g++-3.2 transition

 -- Ryan Murray <rmurray@debian.org>  Fri, 17 Jan 2003 04:41:04 -0800

libgc (1:6.0+6.1alpha4-3) unstable; urgency=low

  * Fix ia64 build.

 -- Ryan Murray <rmurray@debian.org>  Mon, 25 Mar 2002 20:27:15 -0800

libgc (1:6.0+6.1alpha4-2) unstable; urgency=low

  * Add -lstdc++ to link line for now

 -- Ryan Murray <rmurray@debian.org>  Tue, 19 Mar 2002 01:08:01 -0800

libgc (1:6.0+6.1alpha4-1) unstable; urgency=low

  * New upstream release (closes: #96661)
  * build with OPERATOR_NEW_ARRY (closes: #127608)
  * link libgc with g++ for now
  * remove duplicate manpage (closes: #137511)

 -- Ryan Murray <rmurray@debian.org>  Mon, 18 Mar 2002 22:13:32 -0800

libgc (1:6.0-3) unstable; urgency=low

  * Fix builds on mips, mipsel, and powerpc
  * Disable threading on arm until someone has time to fix it.

 -- Ryan Murray <rmurray@debian.org>  Fri, 25 Jan 2002 08:36:00 -0800

libgc (1:6.0-2) unstable; urgency=low

  * New Maintainer (closes: #129586)
  * Enable threading on Linux, disable on hurd
    (closes: #129525, #110157)
  * Add patch already in upstream alphas to fix leak_detector for calloc and
    realloc.  The strdup support will come when I upgrade to a 6.1 version
    (closes: #118455)
  * Add upstream changelog, fix typo in manpage (closes: #115374)

 -- Ryan Murray <rmurray@debian.org>  Sat, 19 Jan 2002 02:31:58 -0800

libgc (1:6.0-1) unstable; urgency=medium (closes several serious and important bugs)

  * Adopted NMU fixes by Rick Younie and Ryan Murray
    (closes: #84608, #87184, #89970, #102652, #103078)
  * New upstream release, updates support for SPARC (closes: #89211)

 -- Mike Goldman <whig@debian.org>  Sun, 19 Aug 2001 07:30:19 -0400

libgc (1:5.3-2.2) unstable; urgency=low

  * NMU
  * Fix build on m68k (closes: #89970, 103078)

 -- Rick Younie <younie@debian.org>  Wed,  1 Aug 2001 12:12:33 -0700

libgc (1:5.3-2.1) unstable; urgency=low

  * Fix build on mips(el) (closes: #102652, 84608)
  * Fix build on alpha (closes: #87184)

 -- Ryan Murray <rmurray@debian.org>  Mon,  2 Jul 2001 08:32:17 -0700

libgc (1:5.3-2) unstable; urgency=low

  * Fixed dependency on libgc5 to same version (closes: #87339).

 -- Mike Goldman <whig@debian.org>  Sat, 24 Feb 2001 12:22:07 -0500

libgc (1:5.3-1) unstable; urgency=medium

  * Updated to latest version of released upstream 5.x version
    (closes: #83041, #65044),
  * Tuned for larger heap sizes (-DLARGE_CONFIG) (closes: #62400).

 -- Mike Goldman <whig@debian.org>  Thu, 22 Feb 2001 12:34:45 -0500

libgc (1:5.0.alpha4-8) frozen unstable; urgency=medium

  * Applied patch by Philip Blundell <Philip.Blundell@pobox.com>
    to provide Linux ARM support (closes: #58950)

 -- Mike Goldman <whig@debian.org>  Fri, 25 Feb 2000 03:38:48 -0500

libgc (1:5.0.alpha4-7) frozen unstable; urgency=low

  * Include "../gcconfig.h" in cordprnt.c for correct PPC compilation
    (patch supplied by susumu-o@debian.or.jp) -- Closes: #57360
  * Uploaded to frozen and unstable (closes: #57147, #57293)

 -- Mike Goldman <whig@by.net>  Tue,  8 Feb 2000 15:58:24 -0500

libgc (1:5.0.alpha4-6) frozen; urgency=low

  * Replaced C++-style comments from gc_priv.h with C comments --
    required for standards-conforming C programs (closes: #55577)
  * debian/rules now copies include/private files automatically

 -- Mike Goldman <whig@by.net>  Fri,  4 Feb 2000 03:56:44 -0500

libgc (1:5.0.alpha4-5) unstable; urgency=low

  * Fixed misapplied patch from Daniel Jacobowitz.


