=== debian/control ===
Source: libgc
Maintainer: Ryan Murray <rmurray@debian.org>
Section: libs
Priority: standard
Build-Depends: debhelper, dpatch
Standards-Version: 3.8.0

Package: libgc1c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libgc1
Replaces: libgc1
Description: conservative garbage collector for C and C++
 Boehm's GC is a garbage collecting storage allocator that is
 intended to be used as a plug-in replacement for C's malloc.

Package: libgc-dev
Architecture: any
Priority: optional
Section: libdevel
Depends: libgc1c2 (= ${source:Version}), libc-dev
Description: conservative garbage collector for C (development)
 Boehm's GC is a garbage collecting storage allocator that is
 intended to be used as a plug-in replacement for C's malloc.
 This package is required to compile and link programs that use
 libgc1.
 .
 Since the collector does not require pointers to be tagged, it does
 not attempt to ensure that all inaccessible storage is reclaimed.
 However it has typically been more successful at reclaiming unused
 memory than most C programs using explicit deallocation.  Unlike
 manually introduced leaks, the amount of unreclaimed memory typically
 stays bounded.
 .
 This version of the collector is thread safe, has C++ support, and uses the
 defaullts for everything else.  Particularly, it does not work as a malloc()
 replacement.
