=== debian/watch ===
version=3
http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc([\d.]+)\.tar\.gz debian uupdate
