## libgc 7.1

=== debian/changelog ===
libgc (1:7.1-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * libgc-dev.preinst: handle symlink replaced by a directory on upgrade from
    Squeeze (Closes: #696073)

 -- David Prévot <taffit@debian.org>  Wed, 26 Dec 2012 19:49:03 -0400

libgc (1:7.1-9) unstable; urgency=medium

  * Import patches to fix CVE-2012-2673 from upstream git (Closes: #677195)

 -- Christoph Egger <christoph@debian.org>  Sun, 08 Jul 2012 18:27:48 +0200

libgc (1:7.1-8) unstable; urgency=low

  * Import patch by Thorsten Glaser
    * d/p/06-m68k-no-getcontext.diff: new, don’t use getcontext(2)
      on m68k because it’s not implemented there (Closes: #624833)
  * Import patch by Aaron M. Ucko
    * build with GC_THREADS on non-linux platforms as well
  * remove *.la files (Closes: #621660)
  * update policy version from 3.9.1 to 3.9.2, no changes

 -- Christoph Egger <christoph@debian.org>  Sun, 29 May 2011 18:55:21 +0200

libgc (1:7.1-7) unstable; urgency=low

  * Add ppc64 symbol file (Closes: #615469)
  * Add sh4 symbol file (Closes: #614744)
  * Add armhf symbol file
  * Add powerpcspe symbol file
  * Handle sparc64 the same as sparc
  * Clear non-arch symbol file to support building on not yet captured
    architectures
  * add -pthread to fix build with --no-add-needed

 -- Christoph Egger <christoph@debian.org>  Wed, 02 Mar 2011 13:43:18 +0100

libgc (1:7.1-6) unstable; urgency=low

  * include pkg-config file (Closes: #546833)
  * Include Hurd symbol file (Closes: #611643) thanks to Svante Signell
    for providing it
  * add hppa symbol file

 -- Christoph Egger <christoph@debian.org>  Tue, 22 Feb 2011 17:17:54 +0100

libgc (1:7.1-5) unstable; urgency=low

  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Sat, 19 Feb 2011 12:19:56 +0100

libgc (1:7.1-4) experimental; urgency=low

  * Adopt package (Closes: #590772)
    * Adopt debian/control git headers (moved to collab-maint)
    * Convert to source format 3.0 (quilt)
  * Build against system libatomic-ops (Closes: #559345)
    * Now builds on mipsen as well (Closes: #542285)
    * Include correct arch-specific symbols file for mipsen
    * Remove atomic-ops specific symbols from symbols file
    * Drop patch for automic-ops on s390
  * Fix dependency on debhelper (needs 7.0.50 > 7)
  * Bump standards version to 3.9.1
  * Fix symbol files (Closes: #565778)

 -- Christoph Egger <christoph@debian.org>  Sat, 09 Oct 2010 16:08:53 +0200

libgc (1:7.1-3) experimental; urgency=low

  * Add symbols for armel and i386.

 -- Chris Lamb <lamby@debian.org>  Sun, 16 Aug 2009 20:28:41 +0100

libgc (1:7.1-2) experimental; urgency=low

  * Fix FTBFS on sparc by specifying correct machine-dependent code.
  * Fix FTBFS on s390 by correcting #include directory.
  * Add avr32 support. Patch by Bradley Smith <brad@brad-smith.co.uk>.
    (Closes: #528406)
  * Symbols maintenance:
    - Add Build-Depends-Package
    - Add required arch-dependent symbols for sparc, powerpc, s390 and avr32
  * Add Vcs-{Git,Browser} headers.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Aug 2009 00:15:45 +0100

libgc (1:7.1-1) experimental; urgency=low

  * New maintainer. (Closes: #541015)
  * New upstream release. (Closes: #434106, #446068)
  * Fix debian/watch file. Thanks Jonny <jonny@csc.jp> and Ruben Molina
    <rmolina@udea.edu.co>. (Closes: #535985)
  * debian/patches/*
    - Extract changes from .diff.gz into quilt patch series
    - Update architecture patches for new upstream; partly applied upstream
  * Move to debhelper 7.
  * Add symbols file for libgc1c2.
  * debian/control:
    - Bump Standards-Version to 3.8.2.
    - Add Homepage: field.
    - Add ${misc:Depends} for all binary packages.
    - Use ${binary:Version} in libgc-dev => libgcX versioned dependency.
    - Drop duplicate "Section:" heading in libgc1c2.
    - Update long description, clarifying ambiguity caused by Debian's choice
      of configuration. (Closes: #329338)
  * Remove some cruft from debian/rules.
  * Install README.environment via dh_installdocs, not dh_install.
  * Don't install README.cords if we aren't shipping that library
    (Closes: #422440)

 -- Chris Lamb <lamby@debian.org>  Wed, 12 Aug 2009 02:16:30 +0100

libgc (1:6.8-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch support for GNU/kFreeBSD amd64. (closes: #405669)

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Aug 2008 21:21:44 +0200

libgc (1:6.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable local malloc on all linux arches. (closes: #431424)

 -- Bastian Blank <waldi@debian.org>  Wed, 18 Jul 2007 20:27:44 +0000

libgc (1:6.8-1) unstable; urgency=low

  * New upstream release (closes: #366864)
  * Apply patch to fix m68k (closes: #383817)

 -- Ryan Murray <rmurray@debian.org>  Fri, 22 Sep 2006 20:08:09 -0700

libgc (1:6.7-2) unstable; urgency=low

  * Disable --enable-redirect-malloc again (closes: #371886)

 -- Ryan Murray <rmurray@debian.org>  Tue, 13 Jun 2006 17:28:27 -0700

libgc (1:6.7-1) unstable; urgency=low

  * New upstream release (closes: #356246)
  * Fix typo in description (closes: #341086)

 -- Ryan Murray <rmurray@debian.org>  Sun, 28 May 2006 20:19:58 -0700
