## libgc 7.2d

=== debian/changelog ===
libgc (1:7.2d-0ubuntu5) raring; urgency=low

  * Call libtoolize before aclocal.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 13:52:44 +0100

libgc (1:7.2d-0ubuntu4) raring; urgency=low

  * Build-depend on pkg-config.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 13:18:29 +0100

libgc (1:7.2d-0ubuntu2) raring; urgency=low

  * Call dh-autoreconf ./autogen.sh.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 12:28:41 +0100

libgc (1:7.2d-0ubuntu1) raring; urgency=low

  * New upstream version.
  * Install header files and libraries in multiarch locations (Christian
    M. Amsüss). Closes: #687493.
  * Build using dh-autoreconf.
  * Rename libgc1c2 to libgc1c3; missing symbols.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 10:39:11 +0100
