## libgc 7.4.2

=== debian/changelog ===
libgc (1:7.4.2-7.3) unstable; urgency=medium

  * Non-maintainer upload
  * Import symbols for sparc (Closes: #806312)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 26 Nov 2015 18:16:48 +0100

libgc (1:7.4.2-7.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add debian/patches/fix-location-of-assembly-files.diff to fix
    location of assembly files for sparc* and ia64 (Closes: 805679)
  * Import symbols for sparc64 (Closes: #805680)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 22 Nov 2015 14:36:00 +0100

libgc (1:7.4.2-7.1) unstable; urgency=medium

  * Non-maintainer upload
  * Import symbols for sh4 (Closes: #805075)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 20 Nov 2015 11:16:44 +0100

libgc (1:7.4.2-7) unstable; urgency=medium

  * Import symbols from mips64el hppa and x32 (Closes: #800905)
  * Re-Add support for nocheck, thanks to Helmut for the patch, (Closes:
    #800906)

 -- Christoph Egger <christoph@debian.org>  Mon, 05 Oct 2015 17:02:32 +0200

libgc (1:7.4.2-6) unstable; urgency=medium

  * Remove unused patches

 -- Christoph Egger <christoph@debian.org>  Fri, 02 Oct 2015 09:02:27 +0200

libgc (1:7.4.2-5) experimental; urgency=medium

  * Disable parallel mark on ppc64el
  * Import symbols for arm64 mips and ppc64el

 -- Christoph Egger <christoph@debian.org>  Thu, 01 Oct 2015 15:59:46 +0200

libgc (1:7.4.2-4) experimental; urgency=medium

  * Drop 03-add-avr32-support.diff, merged upstream
  * Drop 04-fix-sparc-ftbfs.diff, merged upstream
  * add enable-parallel-mark-where-supported.diff to keep PARALLEL_MARK
    enabled on all platforms where it works

 -- Christoph Egger <christoph@debian.org>  Thu, 24 Sep 2015 17:00:00 +0200

libgc (1:7.4.2-3) experimental; urgency=medium

  * Update Homepage (Closes: #747904)
  * Remove 01-catch-all-linux.patch as it at least breaks arm64
  * Import hppa mipsel hurd-i386 and ppc64 symbols

 -- Christoph Egger <christoph@debian.org>  Thu, 24 Sep 2015 13:35:55 +0200

libgc (1:7.4.2-2) experimental; urgency=medium

  * update standards version
  * Update symbols files
  * add Debian GCC Maintainers as uploades (as discussed with Matthias
  * use canonical VCS urls
  * Switch to dh-autoreconf

 -- Christoph Egger <christoph@debian.org>  Fri, 21 Aug 2015 13:42:23 +0200

libgc (1:7.4.2-1) experimental; urgency=medium

  * New upstream version (Closes: #796242)
    * Fixes sparc64 build (Closes: #578337)

 -- Christoph Egger <christoph@debian.org>  Fri, 21 Aug 2015 11:41:48 +0200

libgc (1:7.4.0-1) experimental; urgency=medium

  * New upstream version
  * Drops another batch of internal symbols

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Dec 2013 13:30:28 +0100

libgc (1:7.2d-6) unstable; urgency=medium

  * Run full autoreconf during build
     (Closes: #732349)

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Dec 2013 12:29:01 +0100

libgc (1:7.2d-5) unstable; urgency=low

  * Add Replaces: libgc1c3 for Ubuntu
  * Import symbol diffs from debian-ports

 -- Christoph Egger <christoph@debian.org>  Wed, 03 Jul 2013 22:14:42 +0200

libgc (1:7.2d-4) unstable; urgency=low

  * Import refined symbols for arm and mips

 -- Christoph Egger <christoph@debian.org>  Tue, 02 Jul 2013 17:35:01 +0200

libgc (1:7.2d-3) unstable; urgency=low

  * Upload to unstable 
    * 7.2 misses some private symbols which are now properly hidden by
      libgc and were unused by other software in debian
  * Generate Symbols file by pkg-kde helper scripts

 -- Christoph Egger <christoph@debian.org>  Mon, 01 Jul 2013 22:48:07 +0200

libgc (1:7.2d-2) experimental; urgency=low

  * Improve symbols file using pkg-kde-tools

 -- Christoph Egger <christoph@debian.org>  Sun, 09 Jun 2013 16:33:34 +0200

libgc (1:7.2d-1) experimental; urgency=low

  * New upstream release (Closes: #673965)
  * Add build-dependency for pkg-config to allow detection of libatomic_ops
  * Import patch Christian M. Amsüss to enable multiarch (Closes: #687493)

 -- Christoph Egger <christoph@debian.org>  Sun, 09 Jun 2013 13:26:37 +0200
