=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: libgc
 Maintainer: Christoph Egger <christoph@debian.org>
+Uploaders: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Section: libs
 Priority: standard
-Build-Depends: debhelper (>= 9), autoconf, libatomic-ops-dev (>= 7.2~), dh-autoreconf, pkg-config
-Standards-Version: 3.9.2
-Homepage: http://www.hpl.hp.com/personal/Hans_Boehm/gc/
-Vcs-Git: git://git.debian.org/git/collab-maint/libgc.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libgc.git;a=summary
+Build-Depends: debhelper (>= 9),
+ dh-autoreconf,
+ libatomic-ops-dev (>= 7.3~),
+ pkg-config,
+ pkg-kde-tools
+Standards-Version: 3.9.6
+Homepage: http://www.hboehm.info/gc/
+Vcs-Git: git://anonscm.debian.org/collab-maint/libgc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libgc.git
 
-Package: libgc1c3
+Package: libgc1c2
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libgc1
-Replaces: libgc1
+Replaces: libgc1, libgc1c3
 Multi-Arch: same
 Description: conservative garbage collector for C and C++
  Boehm-Demers-Weiser's GC is a garbage collecting storage allocator that is
@@ -32,7 +37,7 @@
 Architecture: any
 Priority: optional
 Section: libdevel
-Depends: ${misc:Depends}, libgc1c3 (= ${binary:Version}), libc-dev
+Depends: ${misc:Depends}, libgc1c2 (= ${binary:Version}), libc-dev
 Multi-Arch: same
 Description: conservative garbage collector for C (development)
  Boehm-Demers-Weiser's GC is a garbage collecting storage allocator that is
