=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,12 @@
 LDFLAGS += -pthread
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_autoreconf:
-	dh_autoreconf ./autogen.sh
+	dh $@ --with pkgkde_symbolshelper,autoreconf
 
 override_dh_auto_configure:
 	[ ! -d libatomic_ops-1.2 ] || mv libatomic_ops-1.2 libatomic_ops-1.2.bak
 	./configure \
 		$(CONFIG_OPTS) \
-		--disable-silent-rules \
 		--enable-cplusplus \
 		--disable-dependency-tracking \
 		--with-tags=CXX \
@@ -30,12 +26,15 @@
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	$(MAKE) check
+endif
 
 override_dh_install:
 	install -D doc/gc.man debian/tmp/usr/share/man/man3/gc_malloc.3
 	dh_install
+	rm debian/libgc-dev/usr/share/doc/libgc1c2/README.environment
 
 override_dh_auto_clean:
 	[ -d libatomic_ops-1.2 ] || [ ! -d libatomic_ops-1.2.bak ] || mv libatomic_ops-1.2.bak libatomic_ops-1.2
@@ -43,4 +42,4 @@
 	rm -rf autom4te.cache libatomic_ops atomic_ops_sysdeps.S atomic_ops.c
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/README.changes
+	dh_installchangelogs ChangeLog
